<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Helmes test assignment</title>
    <link rel="stylesheet" th:href="@{/bootstrap/css/bootstrap.min.css}" href="../static/bootstrap/css/bootstrap.min.css"/>
    <link rel="stylesheet" th:href="@{/style.css}" href="../static/style.css"/>
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-sm-10 col-sm-offset-2">
            <h2>Please enter your name and pick the sectors you are currently involved in</h2>
        </div>
    </div>

    <div class="alert alert-success col-sm-10 col-sm-offset-2" th:if="${message}">
        <span th:text="${message}" th:remove="tag">Success</span>
    </div>

    <form class="form-horizontal" method="post" th:action="@{/}" th:object="${form}">
        <input type="hidden" th:field="*{id}"/>

        <div class="form-group" th:classappend="${#fields.hasErrors('name') ? 'has-error' : ''}">
            <label for="name" class="col-sm-2 control-label">Name:</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" id="name" placeholder="Name" th:field="*{name}"/>
                <p th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-right field-error">Error</p>
            </div>
        </div>

        <div class="form-group" th:classappend="${#fields.hasErrors('sectors') ? 'has-error' : ''}">
            <label class="col-sm-2 control-label">Sectors:</label>
            <div class="col-sm-10">
                <select multiple="multiple" size="10" id="sector" class="form-control"
                        th:field="*{sectors}">
                    <option th:each="sector : ${allSectors}" th:value="${sector.id}"
                            th:utext="${@nameHelper.getSectorOptionName(sector)}">Sector name
                    </option>
                </select>
                <p th:if="${#fields.hasErrors('sectors')}" th:errors="*{sectors}" class="text-right field-error"> Error</p>
            </div>
        </div>

        <div class="form-group" th:classappend="${#fields.hasErrors('termsAgree') ? 'has-error' : ''}">
            <div class="col-sm-offset-2 col-sm-10">
                <div class="checkbox">
                    <label>
                        <input type="checkbox" th:field="*{termsAgree}"/> Agree to terms
                    </label>
                </div>
                <p th:if="${#fields.hasErrors('termsAgree')}" th:errors="*{termsAgree}" class="text-right field-error"> Error</p>
            </div>
        </div>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary">
                    <span class="glyphicon glyphicon-ok" aria-hidden="true"></span> Save
                </button>
                <a th:href="@{/}" href="#" class="">Add new</a>
                <a th:href="@{/employees}" href="#" class="pull-right">List of employees</a>
            </div>
        </div>
    </form>
</div>
</body>
</html>

